
/* Selection DIV element */
.div_selection_scrollable {
    background-color: #ffffff;
    color: #000000;
    padding: 3px;
    border: solid 1px #000000;
    overflow: auto;
    width: 98%;
    height: 230px;
}

/* Links in selection DIV element */
.div_selection_scrollable_link {
    text-decoration: none;
    color: #000000;
}

/* Active element in DIV element */
.div_selection_scrollable_active {
    background-color: #cccccc;
}

/* Inactive element in DIV element */
.div_selection_scrollable_inactive {
    background-color: #ffffff;
}


/* Zone de messages (les messages qui s'affichent) */
/* DO NOT change "margin" or "padding" properties of this class, use "chatroom_messages_contents" class instead */
/* Please note, that text and background colors must be configured in Admin Panel only */
#chatroom_messages {
    position: absolute;
    overflow: auto;
    border: 0px;
    background-repeat: repeat;
    background-position: left;
    background-attachment: fixed;
    padding: 0px;
    margin: 0px;
/*  background-image: url(./img/gateau.png); */     /* Image de fond */
}
#chatroom_messages_contents {
    padding: 3px 8px 8px 8px;
}
/* Links in Messages area */
#chatroom_messages a {
    color: #111199;
    font-weight: bold;
    text-decoration: none;
}
#chatroom_messages a:hover {
    color: #119911;
}

/* liste des connectés (à droite) */
/* DO NOT change "margin" or "padding" properties of this class, use "chatroom_userlist_contents" class instead */
#chatroom_userlist {
    position: absolute;
    overflow: auto;
    border: 0px;
    background-color: #9FB8D9;
    padding: 0px;
    margin: 0px;
}
#chatroom_userlist_contents {
    text-align: center;
    padding-bottom: 60px;
}
/* User records in userlist area */
#chatroom_userlist_list {
    margin: 10px;
    text-align: left;
}
#chatroom_userlist_list a {
    text-decoration: none;
    font-weight: bold;
}

/* Toolbar area in Chat room */
/* DO NOT change "margin" or "padding" properties of this class, use "chatroom_controls_contents" class instead */
#chatroom_controls {
    position: absolute;
    overflow: hidden;
    border: 0px;
    background-color: #9FB8D9; //Cadre ecriture de messages
    padding: 0px;
    margin: 0px;
}
#chatroom_controls_contents {
    padding: 3px;
}

/* Top banner area */
#chatroom_top_banner {
    position: absolute;
    overflow: hidden;
    border: 0px;
    padding: 0px;
    margin: 0px;
}

/* Bottom banner area */
#chatroom_bottom_banner {
    position: absolute;
    overflow: hidden;
    border: 0px;
    padding: 0px;
    margin: 0px;
}

/* Color selection box */
#color_selection_box {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 292px;
    height: 196px;
    background-color: #ffffff;
}

/* Smilie box */
#smilie_selection_box {
    position: absolute;
    top: 0px;
    left: 0px;
    border: solid 1px #999999;
    background-color: #f9f9ff;
    overflow: hidden;
    margin: 0px;
    padding: 0px;
}

/* Alert box */
#alertbox {
    position: absolute;
    top: 0px;
    left: 0px;
    border: solid 1px #999999;
    overflow: hidden;
    margin: 0px;
    padding: 0px;
    z-index: 9999;
}
#alertbox .text {
    background-color: #f9f9ff;
    margin: 0px;
    padding: 10px;
    text-align: left;
    vertical-align: middle;
    font-size: 14px;
}

/* Confirm box */
#confirmbox {
    position: absolute;
    top: 0px;
    left: 0px;
    border: solid 1px #999999;
    overflow: hidden;
    margin: 0px;
    padding: 0px;
    z-index: 9999;
}
#confirmbox .text {
    background-color: #f9f9ff;
    margin: 0px;
    padding: 10px;
    text-align: center;
    vertical-align: middle;
    font-size: 14px;
}

/* Prompt box */
#promptbox {
    position: absolute;
    top: 0px;
    left: 0px;
    border: solid 1px #999999;
    overflow: hidden;
    margin: 0px;
    padding: 0px;
    z-index: 9999;
}
#promptbox .text {
    background-color: #f9f9ff;
    margin: 0px;
    padding: 10px;
    text-align: left;
    vertical-align: middle;
    font-size: 14px;
}

/* Password field box */
#password_field_box {
    position: absolute;
    top: 0px;
    left: 0px;
    border: solid 1px #002d96;
    background-color: #ffffff;
    padding: 3px;
    text-align: center;
}

/* Online status selection box */
#online_status_selection_box {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 0px;
    margin: 0px;
}

/* Exit options selection box */
#exit_selection_box {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 0px;
    margin: 0px;
}

/* Help box */
#help_box {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 0px;
    margin: 0px;
}

/* Context menu table */
.context_menu_table {
    padding: 0px;
}

/* Context menu table header */
.context_menu_table_header {
    background-color: #4487be;
    color: #ffffff;
    font-weight: bold;
    padding: 3px 10px;
    margin: 0px;
    border-radius: 8px 8px 0 0;
}

/* Context menu table row */
.context_menu_table_row {
    background-color: #ffffff;
    color: #000000;
    font-size: 12px;
    font-weight: normal;
    text-align: left;
    vertical-align: middle;
    margin: 0px;
    padding: 0px;
    cursor: pointer;
}

/* Context menu table highlighted row */
.context_menu_table_hrow {
    background-color: #ffeec2;
}

/* Context menu table disabled row */
.context_menu_table_disabled_row {
    background-color: #ffffff;
    color: #afafaf;
    font-weight: normal;
    text-align: left;
    vertical-align: middle;
    margin: 0px;
    padding: 0px;
    cursor: default;
}

/* Context menu table "separator" row */
.context_menu_table_separator_row {
    background-color: #aca899;
    margin: 0px;
    padding: 0px;
    cursor: default;
    height: 1px;
}

/* Nickname colorizer preview */
#nickname_preview {
    text-align: center;
    font-size: 18px;
    font-weight: bold;
}

/* User options context menu */
#user_options_box {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 0px;
    margin: 0px;
}

.tbl {
    background-color: #ffffff;
    /* border: solid 1px #003264; */
}
/* Table main header */
.tbl_header_main {
    font-weight: bold;
    margin: 0;
    padding: 3px;
    text-align: center;
    background: linear-gradient(#c5daf5, #eef6fd);
}
.tbl_header_main_link {
    color: #ffffff;
}
/* Table sub header */
.tbl_header_sub {
    background-color: #C7D6E9;
    color: #000000;
    font-weight: bold;
    font-size: 14px;
    text-align: left;
    margin: 0px;
    padding: 3px;
    vertical-align: middle;
}
.tbl_header_sub_link {
    color: #002050;
    font-size: 12px;
    font-weight: normal;
    text-decoration: underline;
}
/* Table row */
.tbl_row {
    /* background-color: #C7D6E9; */
    text-align: left;
    margin: 0;
    padding: 10px;
}

.tbl_row_link {
    color: #003060;
    font-size: 12px;
    font-weight: normal;
    text-decoration: underline;
}

/* Status:Error text message */
.statustext_error {
    color: #dd0000;
}

/* Status:Success text message */
.statustext_success {
    color: #008800;
}

#progressBar {
    position: absolute;
    background-color:#ffffff;
    border: solid 1px #002d96;
    font-size: 13px;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 15px;
    padding-bottom: 15px;
    z-index: 10000;
}

/* Page numbers area */
#page_numbers {
    font-weight: normal;
    font-size: 12px;
    width: 100%;
    text-align: right;
    padding: 2px;
}
#page_numbers a {
    text-decoration: underline;
    font-weight: normal;
}

/* Banner popup */
#banner_popup {
    position: absolute;
    overflow: hidden;
    border: solid 1px #000000;
    background-color: #ffffde;
    padding: 2px;
    margin: 0px;
    text-align: right;
}
#banner_popup_frame {
    position: absolute;
    overflow: hidden;
    border: solid 1px #000000;
    background-color: #ffffde;
    padding: 0px;
    margin: 0px;
    text-align: right;
    top: 22px;
    left: 8px;
}


/* Chat summary area at the login page */
#chat_summary {
    border: 0px;
    margin: 0px;
    padding: 0px;
    width: 100%;
    position: absolute;
}


/* Avatar image "onmouseover" thumb */
.avatar_image_hover_thumb {
    position: absolute;
    border: solid 1px #555555;
    cursor: pointer;
}












*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0px;
    padding: 0px;
    background-color: #9FB8D9;
    font: 1em Verdana, sans-serif;
    overflow: auto;
}

.cursor {cursor: pointer;}
#chatroom_controls_contents .cursor {
    margin-left: 8px;
    margin-right: 5px;
}

a {
    color: #003060;
    font-weight: bold;
    text-decoration: none;
}
a:hover {
    color: #DF0000;
}

.center {text-align: center;}
.flex {display: flex;}

.login-table {
    border: 1px solid #d4d4d4;
    border-radius: 8px;
    box-shadow: 0 0 5px 0 rgba(0,0,0,.2);
    margin: auto;
}

.tbl_header_main,
.h3-bg {
    background: linear-gradient(#c5daf5,#eef6fd);
    padding: 12px 15px;
    border-radius: 8px 8px 0 0;
    margin-bottom: 0;
    font: 700 1.2em Arial,sans-serif;
}

input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"],
select {
    border: 1px solid #82b5ec;
    border-radius: 10px;
    font: 1em Verdana, sans-serif;
    outline: none;
}

input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"] {
    padding: 5px 12px;
}

.input-login {
    width: 100% !important;
}


select {
    padding: 6px 22px 6px 10px; /* On met plus de padding à droite pour y insérer la flèche */
}

textarea {
    resize: none; /* Désactiver le redimensionnement de textarea */

    border: 1px solid #4caee2;
    border-radius: 10px;
    padding: 10px 14px;
    font: 1em Verdana, sans-serif;
    width: 100%;
    outline: none;
    margin-top: 8px;
}


input[type="radio"] {
    border-radius: 50px;
}

input[type="radio"],
input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;

    border: 3px solid #82b5ec;
    height: 20px;
    width: 20px;
    margin: 2px 10px 2px 0;

    vertical-align: -6px;
}
input[type="radio"]:checked,
input[type="checkbox"]:checked {
    background-color: #375c86;
    box-shadow: inset 0px 0px 0px 2px white;
    outline: none; /* Pour Chrome */
}
input[type="radio"]:checked + span {
    background: linear-gradient(to right, #c5daf5, #eef6fd);
}

.btn {
    margin: auto;
    background-color: #4487be;
    color: white;
    border-radius: 10px;
    padding: 10px 18px;
    border: none;
    cursor: pointer;
    font: 1em sans-serif;
    transition: 0.2s ease;
}

.mini-btn {
    width: 23px;
    height: 23px;
    border-radius: 2px;
    background-color: white;
    border: none;
    margin: 3px;
}

.btn:hover {
    background-color: #375c86;
}

#invert_timestamp_btn {
    margin-top: 8px;
    text-align: center;
}

.btn:hover,
.mini-btn:hover,
#invert_timestamp_btn:hover {
    cursor: pointer;
}

#chatroom_controls {
    width: 100% !important;
}

#main_input_textarea {
    width: 800px !important;
    margin-right: 10px;
}

.pl-1 {
    padding-left: 8px;
}

.logo-tchat-home {
    margin-top: 20px;
    margin-bottom: 20px;
    max-width: 100%; /* Responsive */
    height: auto;
}

/* ----- Marges ----- */

.m-auto {margin: auto}

.m-0 {margin: 0}
.mt-0, .my-0 {margin-top: 0}
.mr-0, .mx-0 {margin-right: 0}
.mb-0, .my-0 {margin-bottom: 0}
.ml-0, .mx-0 {margin-left: 0}

.mt-2 {margin-top: 20px}
.mt-3 {margin-top: 30px}
.mt-4 {margin-top: 40px}
.mt-5 {margin-top: 50px}
.mb-2 {margin-bottom: 20px !important}
.mb-5 {margin-bottom: 50px !important}
.ml {margin-left: 15px}

.my-2 {margin-top: 20px; margin-bottom: 20px}
.my-5 {margin-top: 50px; margin-bottom: 50px}

.p-0 {padding: 0}
.pt-0, .py-0 {padding-top: 0}
.pr-0, .px-0 {padding-right: 0}
.pb-0, .py-0 {padding-bottom: 0}
.pl-0, .px-0 {padding-left: 0}

.px-2 {
    padding-left: 20px;
    padding-right: 20px;
}

/* ----- Block ----- */

.inline-block {display: inline-block}

.hidden,
.tablet,
.tablet-only,
.mobile-only {display: none}

.block,
header, nav, main, section, aside, footer {display: block}

.overflow-hidden {overflow: hidden}

.show > .hidden {
    display: block;
    animation: anime-spoil 1s; /* La transition ne marche pas avec display:none display:block, donc on ajoute l'animation css faire la transition */
    cursor: zoom-out;
}

/* ____________________ Tablette ____________________ */

@media screen and (max-width: 1024px) {

    .desktop {display: none}
    .tablet,
    .tablet-only {display: block}

    .flex-tablet-column {
        -ms-flex-direction: column;
        flex-direction: column;
    }

    #main_input_textarea {
        width: 500px !important;
    }    

}




/* ____________________ Mobile ____________________ */

@media screen and (max-width: 567px) {

    .no-mobile,
    .tablet-only {display: none}
    
    .mobile-only {display: block}

    .flex-mobile-column {
        -ms-flex-direction: column;
        flex-direction: column;
    }

    body {
        font-size: .9em;
    }

    #chatroom_userlist {
        display: none !important;
    }

    #chatroom_messages {
        width: 100% !important;
    }

    #main_input_textarea {
        width: 300px !important;
    }


    /* Tous les id commençant par date_span */
    [id^="date_span"] {
        display: none !important;
    }

    #login_table {
        width: 100%;
    }


}




/* ____________________ Mobile ____________________ */

@media screen and (max-width: 450px) {

    #main_input_textarea {
        margin-right: 5px;
        width: 200px !important;
    }

}